package jp.co.epson.ide.eclipse.gnu33.ui.dialogs.linkerscript;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class LinkerScriptSettingDialogResources {
	private static final String BUNDLE_NAME = "jp.co.epson.ide.eclipse.gnu33.ui.dialogs.linkerscript.LinkerScriptSettingDialogResources"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private LinkerScriptSettingDialogResources() {
	}

	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
