/*
 * 쐬: 2005/10/24
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps;

/**
 * Holds the attribute constants for Toppers attributes.
 * 
 * @author D.Fujimoto
 *
 */
public interface IModelAttributeConstants {

	// attributes for task queues
	int ATTR_TFIFO = 0x0;
	int ATTR_TPRI = 0x1;

	// attribute for message queues
	int ATTR_MFIFO = 0x0;
	int ATTR_MPRI = 0x2;

	// wait attributes
	int ATTR_WSGL = 0x0;
	int ATTR_WMUL = 0x2;
	
	// clear attributes
	int ATTR_CLR = 0x4;

	// wait mode attributes
	int ATTR_ANDW = 0x0;
	int ATTR_ORW = 0x1;
	
}
