/*
 * 쐬: 2005/09/09
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os;


/**
 * Interface for OS info retreived from debugger.
 * @author D.Fujimoto
 *
 */
public interface IOSInfo {

	/**
	 * Returns the name of the OS.
	 * @return os name
	 */
	public String getName();
	
	/**
	 * Returns the version of the OS.
	 * @return os version
	 */
	public String getVersion();
	
	
}
